package cz.moneta.test.dsl.ufo.banka.pages.requests;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.OBR001_S001_PrintInstructionPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS004_S002_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.common.pages.TIS027_OBR001_PreContractualInformationPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.PVX002_S002_AccountDispositionOwnerPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.current.account.BPP001_S001_DocumentationSendPage;
import cz.moneta.test.dsl.ufo.banka.pages.products.current.account.FXM002_S002_SetFxMoneyPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface DUP009_S001_CreateElectronicDistributionChannelTransitions extends WebFlow<DUP009_S001_CreateElectronicDistributionChannelTransitions> {

    TIS027_OBR001_PreContractualInformationPage onPreContractualInformationPage();

    TIS050_S001_SignerSelectionPage onSignerSelectionPage();

    TIS004_S002_SignerSelectionPage onSignerPage();

    PVX002_S002_AccountDispositionOwnerPage onAccountDispositionOwnerPage();

    FXM002_S002_SetFxMoneyPage onSetFxMoneyPage();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();

    BPP001_S001_DocumentationSendPage onDocumentationSendPage();
}
